%define sover   0
%define libname libxtrxdsp%{sover}
Name:           libxtrxdsp
Version:        0.0.0+git.20190830
Release:        1.2
Summary:        XTRX DSP library
License:        LGPL-2.1-only
Group:          Development/Libraries/C and C++
URL:            http://xtrx.io
Source:         %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++

%description
DSP specific functions for SDR in general and XTRX in specific.

%package -n %{libname}
Summary:        XTRXDSP library
Group:          System/Libraries

%description -n %{libname}
DSP specific functions for SDR in general and XTRX in specific.

%package devel
Summary:        Development files for libxtrxdsp
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
DSP specific functions for SDR in general and XTRX in specific.

This subpackage contains libraries and header files for developing
applications that want to make use of libxtrxdsp.

%package -n xtrxdsp-tests
Summary:        Test tools for the XTRX DSP library
Group:          Productivity/Hamradio/Other

%description -n xtrxdsp-tests
Test tools for the XTRX DSP library.

%prep
%setup -q

%build
# FIXME: Architecture detection in the used CMake is br0ken, use FORCE_ARCH for now
%cmake \
%ifarch %{ix86} x86_64
    -DFORCE_ARCH=x86_64 \
%endif
%ifarch %{arm} aarch64
    -DFORCE_ARCH=arm \
%endif
    -DCMAKE_SHARED_LINKER_FLAGS=""
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_bindir}
mv %{buildroot}/%{_libdir}/xtrxdsp/test_* %{buildroot}/%{_bindir}

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libxtrxdsp.so.%{sover}*

%files -n xtrxdsp-tests
%{_bindir}/test_filter
%{_bindir}/test_xtrxdsp_sc32i_iq16

%files devel
%{_includedir}/xtrxdsp.h
%{_includedir}/xtrxdsp_*.h
%{_libdir}/libxtrxdsp.so
%{_libdir}/pkgconfig/libxtrxdsp.pc

%changelog
* Wed Dec 09 2020 lu3vea@gmail.com - 2019.07-1
- First Fedora spec
